<?php
// $Horde: horde/config/registry.php.dist,v 1.52.2.15 2002/04/16 12:24:58 jan Exp $

/**
 *            registry.php -- Horde application registry
 *
 * This configuration file is used by Horde to determine which Horde
 * applications are installed and where, as well as how they interact.
 */

/**
 * Handlers
 * --------
 * The following settings register particular Horde applications as handlers
 * for functionality intended to be common to multiple Horde applications.
 */

/* auth: Handler for user authentication.
 *   Uncomment the auth/login/logout lines if you want to let either
 *   IMP or Gollem handle the authentication for Horde. This avoids the
 *   "double login" while accessing IMP.
 */
//UNCOMMENTWHENINSTIMP$this->registry['auth']['login'] = 'imp';
//UNCOMMENTWHENINSTIMP$this->registry['auth']['logout'] = 'imp';

/* mail: Handler for sending mail. */
$this->registry['mail']['compose'] = 'imp';
$this->registry['mail']['composePopup'] = 'imp';

/* contacts: Handler for contacts management. */
$this->registry['contacts']['search'] = 'turba';
$this->registry['contacts']['add'] = 'turba';
$this->registry['contacts']['sources'] = 'turba';
$this->registry['contacts']['fields'] = 'turba';

//$this->registry['publickey']['add'] = 'turba';
//$this->registry['publickey']['delete'] = 'turba';
//$this->registry['publickey']['get'] = 'turba';
//$this->registry['publickey']['list'] = 'turba';

/* memos: Handler for memos/notepad. */
$this->registry['memos']['search'] = 'mnemo';
$this->registry['memos']['list'] = 'mnemo';
$this->registry['memos']['show'] = 'mnemo';
$this->registry['memos']['add'] = 'mnemo';

/* nic: network utilities */
$this->registry['net']['finger'] = 'nic';

/* tasks: Handler for todo lists. */
$this->registry['tasks']['search'] = 'nag';
$this->registry['tasks']['list'] = 'nag';
$this->registry['tasks']['show'] = 'nag';
$this->registry['tasks']['add'] = 'nag';

/* whups: bugs reports */
$this->registry['projects']['list'] = 'whups';
$this->registry['projects']['add'] = 'whups';

/**
 * Application registry
 * --------------------
 * The following settings register installed Horde applications.
 * By default, Horde assumes that the application directories live
 * inside the horde directory.
 *
 * You should be able to simply uncomment the entries for the applications
 * you have installed. If you have customized your installation, modify the
 * default settings where necessary. Be sure to remember to uncomment the
 * trailing ");" line!
 */

$this->applications['horde'] = array(
    'fileroot' => dirname(__FILE__) . '/..',
    'webroot' => '/horde',
    'initial_page' => 'login.php',
    'icon' => '/horde/graphics/home.gif',
    'name' => _("Horde"),
    'allow_guests' => true,
    'show' => true,
    'templates' => dirname(__FILE__) . '/../templates',
    'cookie_domain' => $GLOBALS['HTTP_SERVER_VARS']['SERVER_NAME'],
    'cookie_path' => '/horde',
    'server_name' => $GLOBALS['HTTP_SERVER_VARS']['SERVER_NAME'],
    'server_port' => $GLOBALS['HTTP_SERVER_VARS']['SERVER_PORT']
);

//UNCOMMENTWHENINSTIMP$this->applications['imp'] = array(
//UNCOMMENTWHENINSTIMP    'fileroot' => dirname(__FILE__) . '/../imp',
//UNCOMMENTWHENINSTIMP    'webroot' => $this->applications['horde']['webroot'] . '/imp',
//UNCOMMENTWHENINSTIMP    'icon' => $this->applications['horde']['webroot'] . '/imp/graphics/imp.gif',
//UNCOMMENTWHENINSTIMP    'name' => _("Mail"),
//UNCOMMENTWHENINSTIMP    'allow_guests' => false,
//UNCOMMENTWHENINSTIMP    'show' => true
//UNCOMMENTWHENINSTIMP);

//UNCOMMENTWHENINSTTURBA$this->applications['turba'] = array(
//UNCOMMENTWHENINSTTURBA    'fileroot' => dirname(__FILE__) . '/../turba',
//UNCOMMENTWHENINSTTURBA    'webroot' => $this->applications['horde']['webroot'] . '/turba',
//UNCOMMENTWHENINSTTURBA    'icon' => $this->applications['horde']['webroot'] . '/turba/graphics/turba.gif',
//UNCOMMENTWHENINSTTURBA    'name' => _("Addressbook"),
//UNCOMMENTWHENINSTTURBA    'allow_guests' => false,
//UNCOMMENTWHENINSTTURBA    'show' => true
//UNCOMMENTWHENINSTTURBA);
 
//UNCOMMENTWHENINSTGOLLEM$this->applications['gollem'] = array(
//UNCOMMENTWHENINSTGOLLEM    'fileroot' => dirname(__FILE__) . '/../gollem',
//UNCOMMENTWHENINSTGOLLEM    'webroot' => '/horde/gollem',
//UNCOMMENTWHENINSTGOLLEM    'icon' => '/horde/gollem/graphics/gollem.gif',
//UNCOMMENTWHENINSTGOLLEM    'name' => _("FTP"),
//UNCOMMENTWHENINSTGOLLEM    'allow_guests' => false,
//UNCOMMENTWHENINSTGOLLEM    'show' => true
//UNCOMMENTWHENINSTGOLLEM);

//UNCOMMENTWHENINSTNIC$this->applications['nic'] = array(
//UNCOMMENTWHENINSTNIC    'fileroot' => dirname(__FILE__) . '/../nic',
//UNCOMMENTWHENINSTNIC    'webroot' => '/horde/nic',
//UNCOMMENTWHENINSTNIC    'icon' => '/horde/nic/graphics/nic.gif',
//UNCOMMENTWHENINSTNIC    'name' => _("Network"),
//UNCOMMENTWHENINSTNIC    'allow_guests' => false,
//UNCOMMENTWHENINSTNIC    'show' => true
//UNCOMMENTWHENINSTNIC);

//UNCOMMENTWHENINSTKRONOLITH$this->applications['kronolith'] = array(
//UNCOMMENTWHENINSTKRONOLITH    'fileroot' => dirname(__FILE__) . '/../kronolith',
//UNCOMMENTWHENINSTKRONOLITH    'webroot' => $this->applications['horde']['webroot'] . '/kronolith',
//UNCOMMENTWHENINSTKRONOLITH    'icon' => $this->applications['horde']['webroot'] . '/kronolith/graphics/kronolith.gif',
//UNCOMMENTWHENINSTKRONOLITH    'name' => _("Calendar"),
//UNCOMMENTWHENINSTKRONOLITH    'allow_guests' => false,
//UNCOMMENTWHENINSTKRONOLITH    'show' => true
//UNCOMMENTWHENINSTKRONOLITH);

//UNCOMMENTWHENINSTJONAH$this->applications['jonah'] = array(
//UNCOMMENTWHENINSTJONAH    'fileroot' => dirname(__FILE__) . '/../jonah',
//UNCOMMENTWHENINSTJONAH    'webroot' => '/horde/jonah',
//UNCOMMENTWHENINSTJONAH    'icon' => '/horde/jonah/graphics/jonah.gif',
//UNCOMMENTWHENINSTJONAH    'name' => _("Headlines"),
//UNCOMMENTWHENINSTJONAH    'allow_guests' => true,
//UNCOMMENTWHENINSTJONAH    'show' => true
//UNCOMMENTWHENINSTJONAH);

//UNCOMMENTWHENINSTTROLL$this->applications['troll'] = array(
//UNCOMMENTWHENINSTTROLL    'fileroot' => dirname(__FILE__) . '/../troll',
//UNCOMMENTWHENINSTTROLL    'webroot' => '/horde/troll',
//UNCOMMENTWHENINSTTROLL    'icon' => '/horde/troll/graphics/troll.gif',
//UNCOMMENTWHENINSTTROLL    'name' => _("News"),
//UNCOMMENTWHENINSTTROLL    'allow_guests' => false,
//UNCOMMENTWHENINSTTROLL    'show' => true
//UNCOMMENTWHENINSTTROLL);

//UNCOMMENTWHENINSTCHORA$this->applications['chora'] = array(
//UNCOMMENTWHENINSTCHORA    'fileroot' => dirname(__FILE__) . '/../chora',
//UNCOMMENTWHENINSTCHORA    'webroot' => $this->applications['horde']['webroot'] . '/chora',
//UNCOMMENTWHENINSTCHORA    'icon' => $this->applications['horde']['webroot'] . '/chora/graphics/chora.gif',
//UNCOMMENTWHENINSTCHORA    'name' => _("CVS"),
//UNCOMMENTWHENINSTCHORA    'allow_guests' => true,
//UNCOMMENTWHENINSTCHORA    'show' => true
//UNCOMMENTWHENINSTCHORA);

//UNCOMMENTWHENINSTBABEL$this->applications['babel'] = array(
//UNCOMMENTWHENINSTBABEL    'fileroot' => dirname(__FILE__) . '/../babel',
//UNCOMMENTWHENINSTBABEL    'webroot' => $this->applications['horde']['webroot'] . '/babel',
//UNCOMMENTWHENINSTBABEL    'icon' => $this->applications['horde']['webroot'] . '/babel/graphics/babel.gif',
//UNCOMMENTWHENINSTBABEL    'name' => _("i18n"),
//UNCOMMENTWHENINSTBABEL    'allow_guests' => false,
//UNCOMMENTWHENINSTBABEL    'show' => true
//UNCOMMENTWHENINSTBABEL);

//UNCOMMENTWHENINSTWHUPS$this->applications['whups'] = array(
//UNCOMMENTWHENINSTWHUPS    'fileroot' => dirname(__FILE__) . '/../whups',
//UNCOMMENTWHENINSTWHUPS    'webroot' => '/horde/whups',
//UNCOMMENTWHENINSTWHUPS    'icon' => '/horde/whups/graphics/whups.gif',
//UNCOMMENTWHENINSTWHUPS    'name' => _("Bugs"),
//UNCOMMENTWHENINSTWHUPS    'allow_guests' => false,
//UNCOMMENTWHENINSTWHUPS    'show' => true
//UNCOMMENTWHENINSTWHUPS);

//UNCOMMENTWHENINSTMNEMO$this->applications['mnemo'] = array(
//UNCOMMENTWHENINSTMNEMO    'fileroot' => dirname(__FILE__) . '/../mnemo',
//UNCOMMENTWHENINSTMNEMO    'webroot' => $this->applications['horde']['webroot'] . '/mnemo',
//UNCOMMENTWHENINSTMNEMO    'icon' => $this->applications['horde']['webroot'] . '/mnemo/graphics/mnemo.gif',
//UNCOMMENTWHENINSTMNEMO    'name' => _("Memos"),
//UNCOMMENTWHENINSTMNEMO    'allow_guests' => false,
//UNCOMMENTWHENINSTMNEMO    'show' => true
//UNCOMMENTWHENINSTMNEMO);

//UNCOMMENTWHENINSTNAG$this->applications['nag'] = array(
//UNCOMMENTWHENINSTNAG    'fileroot' => dirname(__FILE__) . '/../nag',
//UNCOMMENTWHENINSTNAG    'webroot' => $this->applications['horde']['webroot'] . '/nag',
//UNCOMMENTWHENINSTNAG    'icon' => $this->applications['horde']['webroot'] . '/nag/graphics/nag.gif',
//UNCOMMENTWHENINSTNAG    'name' => _("Tasks"),
//UNCOMMENTWHENINSTNAG    'allow_guests' => false,
//UNCOMMENTWHENINSTNAG    'show' => true
//UNCOMMENTWHENINSTNAG);

//UNCOMMENTWHENINSTORATOR$this->applications['orator'] = array(
//UNCOMMENTWHENINSTORATOR    'fileroot' => dirname(__FILE__) . '/../orator',
//UNCOMMENTWHENINSTORATOR    'webroot' => '/horde/orator',
//UNCOMMENTWHENINSTORATOR    'name' => _("Presentations"),
//UNCOMMENTWHENINSTORATOR    'allow_guests' => true,
//UNCOMMENTWHENINSTORATOR    'show' => true
//UNCOMMENTWHENINSTORATOR);


/**
 * Service registry
 * ----------------
 * The following entries register services for specific Horde
 * applications. Unless you need to customize your Horde
 * applications, you shouldn't touch this section.
 */

$this->services['imp']['auth']['login'] = array(
    'link' => "%application%/login.php?url=|url|"
);
$this->services['imp']['auth']['logout'] = array(
    'link' => "%application%/login.php?reason=logout&url=|url|"
);
$this->services['imp']['mail']['compose'] = array(
    'link' => "javascript:open_compose_win('popup=1&to=|to|&cc=|cc|&bcc=|bcc|&msg=|msg|&subject=|subject||extra|');",
    'includeFile' => '%application%/templates/javascript/open_compose_win.js',
);
$this->services['imp']['mail']['composePopup'] = array(
    'file' => '%application%/lib/api.php',
    'includeFile' => '%application%/templates/javascript/open_compose_win.js',
    'function' => 'impComposePopup',
    'args' => array('options')
);
$this->services['imp']['horde']['summary'] = array(
    'file' => '%application%/lib/api.php',
    'function' => 'impSummary',
    'args' => array(),
    'type' => 'string'
);

$this->services['turba']['contacts']['search'] = array(
    'file' => '%application%/lib/api.php',
    'function' => 'turbaExpandAddresses',
    'args' => array('addresses', 'addressbooks', 'fields'),
    'type' => 'array'
);
$this->services['turba']['contacts']['add'] = array(
    'file' => '%application%/lib/api.php',
    'function' => 'turbaAddAddress',
    'args' => array('name', 'address', 'addressbook'),
    'type' => 'boolean'
);
$this->services['turba']['contacts']['sources'] = array(
    'file' => '%application%/lib/api.php',
    'function' => 'turbaGetSources',
    'args' => array('writeable'),
    'type' => 'array'
);
$this->services['turba']['contacts']['fields'] = array(
    'file' => '%application%/lib/api.php',
    'function' => 'turbaGetFields',
    'args' => array('addressbook'),
    'type' => 'array'
);

$this->services['kronolith']['horde']['summary'] = array( 
    'file' => '%application%/lib/api.php',
    'function' => 'kronolithSummary',
    'args' => array(),
    'type' => 'string'
);

$this->services['mnemo']['memos']['list'] = array(
    'file' => '%application%/lib/api.php',
    'function' => 'mnemoListMemos',
    'args' => array('sortby', 'sortdir'),
    'type' => 'array'
);
$this->services['mnemo']['memos']['search'] = array(
    'link' => "%application%/search.php"
);
$this->services['mnemo']['memos']['show'] = array(
    'link' => "%application%/view.php?memo=|memo|"
);
$this->services['mnemo']['memos']['add'] = array(
    'file' => '%application%/lib/api.php',
    'function' => 'mnemoAddMemo',
    'args' => array('body', 'category'),
    'type' => 'integer'
);
$this->services['mnemo']['horde']['summary'] = array(
    'file' => '%application%/lib/api.php',
    'function' => 'mnemoSummary',
    'args' => array(),
    'type' => 'string'
);

$this->services['nag']['tasks']['list'] = array(
    'file' => '%application%/lib/api.php',
    'function' => 'nagListTasks',
    'args' => array('sortby', 'sortdir'),
    'type' => 'array'
);
$this->services['nag']['tasks']['search'] = array(
    'link' => "%application%/search.php"
);
$this->services['nag']['tasks']['show'] = array(
    'link' => "%application%/view.php?task=|task|"
);
$this->services['nag']['tasks']['add'] = array(
    'file' => '%application%/lib/api.php',
    'function' => 'nagAddTask',
    'args' => array('name', 'description', 'due'),
    'type' => 'integer'
);
$this->services['nag']['horde']['summary'] = array(
    'file' => '%application%/lib/api.php',
    'function' => 'nagSummary',
    'args' => array(),
    'type' => 'string'
);
$this->services['nic']['net']['finger'] = array(
    'link' => "%application%/finger.php?address=|address|"
);


$this->services['whups']['projects']['list'] = array(
    'file' => '%application%/lib/api.php',
    'function' => 'whupsListModules',
    'args' => array(),
    'type' => 'array'
);
$this->services['whups']['projects']['add'] = array(
    'file' => '%application%/lib/api.php',
    'function' => 'whupsAddModule',
    'args' => array('name'),
    'type' => 'integer'
);
$this->services['whups']['horde']['summary'] = array(
    'file' => '%application%/lib/api.php',
    'function' => 'whupsSummary',
    'args' => array(),
    'type' => 'string'
);

$this->services['kronolith']['horde']['summary'] = array(
    'file' => '%application%/lib/api.php',
    'function' => 'kronolithSummary',
    'args' => array(),
    'type' => 'string'
);

$this->services['nag']['tasks']['list'] = array(
    'file' => '%application%/lib/api.php',
    'function' => 'nagListTasks',
    'args' => array('sortby', 'sortdir'),
    'type' => 'array'
);
$this->services['nag']['tasks']['search'] = array(
    'link' => "%application%/search.php"
);
$this->services['nag']['tasks']['show'] = array(
    'link' => "%application%/view.php?task=|task|"
);
$this->services['nag']['tasks']['add'] = array(
    'file' => '%application%/lib/api.php',
    'function' => 'nagAddTask',
    'args' => array('name', 'description', 'due'),
    'type' => 'integer'
);
$this->services['nag']['horde']['summary'] = array(
    'file' => '%application%/lib/api.php',
    'function' => 'nagSummary',
    'args' => array(),
    'type' => 'string'
);

$this->services['default']['mail']['compose'] = array(
    'link' => "mailto:%to%"
);
