<?php
/*
 * $Horde: horde/javascript.php,v 1.1.2.3 2002/04/14 15:10:14 jan Exp $
 *
 * Copyright 2000-2002 Charles J. Hagenbuch <chuck@horde.org>
 *
 * See the enclosed file COPYING for license information (LGPL).  If you
 * did not receive this file, see http://www.fsf.org/copyleft/lgpl.html.
 */


@define('HORDE_BASE', dirname(__FILE__));
require_once HORDE_BASE . '/lib/Horde.php';
require_once HORDE_BASE . '/lib/Registry.php';

$registry = &Registry::singleton();

// Figure out if we've been inlined, or called directly
$send_headers = strstr('javascript.php', $HTTP_SERVER_VARS['SCRIPT_NAME']);

$app = Horde::getFormData('app');
$file = basename(Horde::getFormData('file'));
if (!empty($app) && !empty($file)) {
    $script_file = $registry->getParam('templates', $app) . '/javascript/' . $file;
    if (@file_exists($script_file)) {
        if ($send_headers) {
            $mod_gmt = gmdate('D, d M Y H:i:s', filemtime($script_file)) . ' GMT';
            header('Last-Modified: ' . $mod_gmt);
            header('Cache-Control: public, max-age=86400');
            header('Content-type: text/javascript');
        }

        $registry->pushApp($app);
        include $script_file;
    }
}

?>
